package de.tub.mac11.bean;

import de.tub.mac11.states.Escape;
import de.tub.mac11.states.Group;
import de.tub.mac11.states.SurveyEdges;

public class DefaultDecisionBean extends DecisionBean {

	@Override
	protected void addStatesAndConditions() {
		
		escape = new Escape(getWorld(), this);
		
		// add states
		super.addStatesAndConditions();
		getStatesList().add(disabled);
		getStatesList().add(escape);
		getStatesList().add(group);
		getStatesList().add(surveyEdges);
		getStatesList().add(createZone);
	}	
	
}